LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
 
-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--USE ieee.numeric_std.ALL;
 
ENTITY bin2bcd_tb IS
END bin2bcd_tb;
 
ARCHITECTURE behavior OF bin2bcd_tb IS 
 
    -- Component Declaration for the Unit Under Test (UUT)
 
    COMPONENT BIN2BCD
    PORT(
         BIN : IN  std_logic_vector(13 downto 0);
         T : OUT  std_logic_vector(3 downto 0);
         S : OUT  std_logic_vector(3 downto 0);
         D : OUT  std_logic_vector(3 downto 0);
         E : OUT  std_logic_vector(3 downto 0)
        );
    END COMPONENT;
    

   --Inputs
   signal BIN : std_logic_vector(13 downto 0) := (others => '0');

 	--Outputs
   signal T : std_logic_vector(3 downto 0);
   signal S : std_logic_vector(3 downto 0);
   signal D : std_logic_vector(3 downto 0);
   signal E : std_logic_vector(3 downto 0);
   -- No clocks detected in port list. Replace <clock> below with 
   -- appropriate port name 
 
   constant clk_period : time := 10 ns;		-- perioda / frekvenca urinega impulza
	signal clk : std_logic;
	
BEGIN
 
	-- Instantiate the Unit Under Test (UUT)
   uut: BIN2BCD PORT MAP (
          BIN => BIN,
          T => T,
          S => S,
          D => D,
          E => E
        );

   -- Definicija urinega signala
   clk_process :process
   begin
		clk <= '0';
		wait for clk_period/2;
		clk <= '1';
		wait for clk_period/2;
   end process;
 

   -- Stimulus process
   stim_proc: process
   begin		
      -- hold reset state for 100 ns.
      wait for 100 ns;	

		wait for clk_period*10;
		
      BIN<="?10011100001111??";


      wait;
   end process;

END;
